AICost = {}; 
AICost.metadata = {
	interface = " FS22 ...",
	title = " AICost",
	notes = " senkt die Kosten der AI",
	author = " (by HappyLooser)",
	version = " v0.3 Beta",	
	datum = " 25.11.2021",
	update = " 17.12.2021",
	web = " http://modhoster.de",
	info = " Link Freigabe,Änderungen,Kopien oder Code Benutzung ist ohne meine Zustimmung nicht erlaubt",
	"##Orginal Link Freigabe: http://modhoster.de"
};

function AICost:loadMap(name)
	print("---loading".. tostring(AICost.metadata.title).. tostring(AICost.metadata.version).. tostring(AICost.metadata.author).. "---")	
	AIJob.getPricePerMs = Utils.overwrittenFunction(AIJob.getPricePerMs, AIJob.getPricePerMs);
	AIJobConveyor.getPricePerMs = Utils.overwrittenFunction(AIJobConveyor.getPricePerMs, AIJobConveyor.getPricePerMs);
	AIJobFieldWork.getPricePerMs = Utils.overwrittenFunction(AIJobFieldWork.getPricePerMs, AIJobFieldWork.getPricePerMs);
	AIJobDeliver.getPricePerMs = Utils.overwrittenFunction(AIJobDeliver.getPricePerMs, AIJobDeliver.getPricePerMs);
	AIJobGoTo.getPricePerMs = Utils.overwrittenFunction(AIJobGoTo.getPricePerMs, AIJobGoTo.getPricePerMs);
	AIJobLoadAndDeliver.getPricePerMs = Utils.overwrittenFunction(AIJobLoadAndDeliver.getPricePerMs, AIJobLoadAndDeliver.getPricePerMs);
	--EconomyManager.getCostPerLiter = Utils.overwrittenFunction(EconomyManager.getCostPerLiter, EconomyManager.getCostPerLiter);
end; 

function AIJob:getPricePerMs(superFunc)
    return 0.00005;  --! default old 0.001 ! --> * difficulty <-- (ls22 patch 0.0004)
end;

function AIJobFieldWork:getPricePerMs(superFunc)
    return 0.00005;  --! default 0.0005 ! --> * difficulty <-- (NEW ls22 patch)
end;

function AIJobDeliver:getPricePerMs(superFunc)
    return 0.00005;  --> * difficulty <-- (NEW ls22 patch)
end;

function AIJobGoTo:getPricePerMs(superFunc)
    return 0.00005;  --> * difficulty <-- (NEW ls22 patch)
end;

function AIJobLoadAndDeliver:getPricePerMs(superFunc)
    return 0.00005;  --> * difficulty <-- (NEW ls22 patch)
end;

function AIJobConveyor:getPricePerMs(superFunc)
	return 0.00005;  --! default old 0.001 ! --> * difficulty <-- (ls22 patch 0.00005)
end;

--function EconomyManager:getCostPerLiter(superFunc, ...)
--   return 0.005; --> * damage * difficulty <--
--end;
addModEventListener(AICost);